//---------------------------------------------------------------------------
// TestPRSemiStochGrowth
//---------------------------------------------------------------------------
#if !defined(TestPRSemiStochGrowth_H)
  #define TestPRSemiStochGrowth_H

#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>

class clSimManager;

/**
* Tests the clPRSemiStochGrowth class.
*/
class clTestPRSemiStochGrowth : public CppUnit::TestFixture {

  public:

  /**
  * Combines the testing into one behavior.
  */
  void TestPRSemiStochGrowth();

  protected:

  /**
  * Tests normal processing run 1.  WriteXMLFile1() does setup.  Timestep
  * length is 1 year.  8 trees are created of 2 species.  Then growth is run.
  * Their diameters and heights are checked to make sure they are correct.
  * @param p_oSimManager Sim manager object for doing the run.
  */
  void NormalProcessingRun1(clSimManager *p_oSimManager);

  /**
  * Writes a parameter file for normal processing run 1.
  * @return Filename written.
  */
  char* WriteXMLFile1();
};
//---------------------------------------------------------------------------
#endif // TestPRSemiStochGrowth_H
